database_api.list_account_recovery_requests
since HF11
Purpose
Returns a list of account recovery requests. Parameters: start:string, limit:int, order:string
limitis up to 1000.ordercan be one of:by_account- order by accont nameby_expiration- order by expiration
| account (string) | limit (int) | order (string) | | |--------------------|-| | "steemit" | 10 | "by_account" | Queries the recovery requests for account named "steemit", ordered by account name. | | ["1960-01-01T00:00:00"] | 10 | "by_expiration"| Queries the recovery requests for date, ordered by expiration. |
Parameters
PARAMETERS
json
{
"start": null,
"limit": 0,
"order": "by_name"
}Example
Example 1
BASH
bash
curl -s https://api.steemit.com \
-H 'Content-Type: application/json' \
--data-binary '{
"jsonrpc": "2.0",
"method": "database_api.list_account_recovery_requests",
"params": {
"start": "",
"limit": 10,
"order": "by_account"
},
"id": 1
}'Example 2
BASH
bash
curl -s https://api.steemit.com \
-H 'Content-Type: application/json' \
--data-binary '{
"jsonrpc": "2.0",
"method": "database_api.list_account_recovery_requests",
"params": {
"start": [
"1960-01-01T00:00:00"
],
"limit": 10,
"order": "by_expiration"
},
"id": 1
}'Response
RESPONSE
json
{
"requests": []
}